Skip to main content
`Ctrl`+`K`

# SNESFASSetMonitor

Sets the method-specific cycle monitoring

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetMonitor(SNES snes, PetscViewerAndFormat *vf, PetscBool flg)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` context

- vf - viewer and format structure (may be `NULL` if `flg` is `PETSC_FALSE`)

- flg - monitor or not

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESMonitorSet()`, `SNESFASSetCyclesOnLevel()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages